
	jQuery(document).ready(function(){
		jQuery('#patronbroker_form_tab').slideUp();

		jQuery('#patronbroker_edit_label').click(function() {
			jQuery('#patronbroker_form_tab').slideDown();
		});

		jQuery('#patronbroker_editcreate_label').click(function() {
			psbDoCreate();
		});

		jQuery('#patronbroker_create_label').click(function() {
			psbDoCreate();
		});

		jQuery('#patronbroker_print_label').click(function() {
			jQuery('#patronbroker_msg_container').slideUp().html('');
			psbDoDownload(patronbroker_id_label);
		});

        window.easyPackAsyncInit = (function () {
            easyPack.init({});
        });

        jQuery('#patronbroker_form_slocker_change').click(function (e) {
            e.preventDefault();
            easyPack.init({
                defaultLocale: 'pl',
                closeTooltip: false,
                useGeolocation: true,
                instance: 'pl',
                mapType: 'osm',
                searchType: 'osm',
                initialZoom: 13,
                detailsMinZoom: 15,
                points: {
                    types: ['parcel_locker_only'],
                    functions: ['parcel_collect']
                },
                map: {
                    initialTypes: ['parcel_locker_only']
                }
            });

            easyPack.modalMap(function (point, modal) {
                modal.closeModal();
                admin_point_sel(point);
            }, {width: 500, height: 600});
            
            setTimeout(function () {
                jQuery("html, body").animate({scrollTop: jQuery('#widget-modal').offset().top}, 700);
            }, 0);

        });

        jQuery('#patronbroker_form_smode').change(function() {
            testSmode();
        });

        jQuery('#patronbroker_form_smode').val(patronbroker_smode);
        
        testSmode();

	});

function admin_point_sel(point) {
    jQuery('#patronbroker_form_slocker_').val(point.name);
    jQuery('#patronbroker_form_slocker').val(point.name);
    jQuery('#patronbroker_form_slocker_d1').val(point.address.line1);
    jQuery('#patronbroker_form_slocker_d2').val(point.address.line2);
    jQuery('#patronbroker_form_slocker_d').val(point.address.line1 + ', ' + point.address.line2);
}

function testSmode() {
    if(jQuery('#patronbroker_form_smode').val() == 3) jQuery('#patronbroker_form14').show();
    else jQuery('#patronbroker_form14').hide();
}

function psbDoCreate() {
	jQuery('#ajax_running').slideDown();
	jQuery('#patronbroker_msg_container').slideUp().html('');
	
    var data = {
		'action': 'psb_ajax',
		'psb_action': 'createLabel',
		'psb_token': patronbroker_token,
		'psb_id_order': patronbroker_id_order,
		'psb_service': patronbroker_service,
		'psb_cod': patronbroker_cod,
		'psb_carrier': patronbroker_carrier,
		'psb_kwota': jQuery('#patronbroker_form_kwota').val(),
		'psb_uwagi': jQuery('#patronbroker_form_uwagi').val(),
		'psb_ubezp': jQuery('#patronbroker_form_ubezp').val(),
		'psb_waga': jQuery('#patronbroker_form_waga').val(),
		'psb_dlug': jQuery('#patronbroker_form_dlug').val(),
		'psb_szer': jQuery('#patronbroker_form_szer').val(),
		'psb_wys': jQuery('#patronbroker_form_wys').val(),
		'psb_nst': jQuery('#patronbroker_form_nst').prop("checked") ? '1' : '0',
        'psb_locker': jQuery('#patronbroker_form_locker').val(),
        'psb_smode': jQuery('#patronbroker_form_smode').val(),
        'psb_slocker': jQuery('#patronbroker_form_slocker').val(),
        'psb_slocker_d1': jQuery('#patronbroker_form_slocker_d1').val(),
        'psb_slocker_d2': jQuery('#patronbroker_form_slocker_d2').val()
		};
	jQuery.post(patronbroker_ajax_uri, data, function(response) {
		if(response != 0) {
            var resp = JSON.parse(response);
            if(resp.error) {
            	jQuery('#patronbroker_msg_container').hide().html('<p class="psb-error">'+resp.error+'</p>').slideDown();
            }
            else {
            	patronbroker_id_label = resp.id_patron;
            	jQuery('#patronbroker_print_label').show();
            	jQuery('#patronbroker_status').html('Tak');
            	jQuery('#patronbroker_track_url').html(resp.tracking);
            	jQuery('#patronbroker_form_tab').slideUp();
            	psbDoDownload(patronbroker_id_label);
            }
		}
		else {
			jQuery('#patronbroker_msg_container').hide().html('<p class="psb-error">Błąd komunikacji (1)</p>').slideDown();
		}
		jQuery('#ajax_running').slideUp();
	})
	.fail(function (jqXHR, textStatus, errorThrown) {
		jQuery('#patronbroker_msg_container').hide().html('<p class="psb-error">Błąd komunikacji (2)</p>').slideDown();
		jQuery('#ajax_running').slideUp();
	});
};

function psbDoDownload(id_label) {
	jQuery("#patronbroker_down_form").attr('target', 'patronbroker_down');
	jQuery('#patronbroker_down_form').submit();
	return true;
}
